# UniTAP.dev.modules.dut_tests.dut_default_params.hdmi_sink_continuity_tests

class HdmiSinkContinuityDUTTestParam:

Class `HdmiSinkContinuityDUTTestParam` allows working with parameters from HDMI Continuity part.

- Set and get total test time `test_time`, in seconds. Default value is 60s.
- Set and get status period `status_period`, in seconds.
- Set and get stop flag `stop_flag`. Stop testing when status fail.
- Set and get flag of enabling scdc version `enable_scdc_version`. Enable to check SCDC version.
- Set and get flag of enabling scdc status `enable_scdc_status`. Enable to check SCDC status flag.
- Set and get flag of enabling scdc error count `enable_scdc_error_count`. Enable to check SCDC error counters.
- Set and get SDCD error counter fail threshold `scdc_error_count`. Default value is 10.

HdmiSinkContinuityDUTTestParam(json_obj)
test_time: int

Set and get test time.

###### Returns:

> object of `int` type

status_period: int

Set and get status period.

###### Returns:

> object of `int` type

stop_flag: bool

Set and get flag of stop testing when status fail.

###### Returns:

> object of `bool` type

enable_scdc_version: int

Set and get flag of enabling scdc version.

###### Returns:

> object of `bool` type

enable_scdc_status: bool

Set and get flag of enabling scdc status.

###### Returns:

> object of `bool` type

enable_scdc_error_count: bool

Set and get flag of enabling scdc error count.

###### Returns:

> object of `int` type

scdc_error_count: int

Set and get scdc error count.

###### Returns:

> object of `int` type